<?php
class chatConfigFrom extends sfForm {
    public function configure() {
        $url = sfContext::getInstance()->getRequest()->getRelativeUrlRoot();
        $culture = sfContext::getInstance()->getUser()->getCulture();

        $this->setWidgets(array(
            'chat_wlaczony'		=> new sfWidgetFormChoice(array('choices' => array(0 => 'Wyłączony', 1 => 'Włączony'))),
            'chat_tytul'		=> new sfWidgetFormInput(),
            'chat_czy_vip'		=> new sfWidgetFormChoice(array('choices' => array(0 => 'Nie', 1 => 'Tak'))),
            'chat_vip_informacje'	=> new sfWidgetFormTextareaTinyMCE(array(
                'config' => 'language: "pl",
                    theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,link,unlink",
                    theme_advanced_buttons2 : "",
                    theme_advanced_buttons3 : "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    theme_advanced_statusbar_location : "bottom",
                    theme : "advanced",
                    debug: false,
                    width: "550px",
                    height: "200px"'
                ), array(
                    'class'	=> 'tiny_mce1'
                )
            ),
            'chat_informacje'		=> new sfWidgetFormTextareaTinyMCE(array(
                'config' => 'language: "pl",
                    theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,bullist,numlist,undo,redo,link,unlink",
                    theme_advanced_buttons2 : "",
                    theme_advanced_buttons3 : "",
                    theme_advanced_toolbar_location : "top",
                    theme_advanced_toolbar_align : "left",
                    theme_advanced_statusbar_location : "bottom",
                    theme : "advanced",
                    debug: false,
                    width: "550px",
                    height: "200px"'
                ), array(
                    'class'	=> 'tiny_mce2'
                )
            ),
        ));

        $this->setValidators(array
            (
            'chat_wlaczony'		=> new sfValidatorChoice(array('required' => true, 'choices' => array(0,1))),
            'chat_tytul'		=> new sfValidatorString(array('required' => true)),
            'chat_czy_vip'		=> new sfValidatorChoice(array('required' => true, 'choices' => array(0,1))),
            'chat_vip_informacje'	=> new sfValidatorString(array('required' => true)),
            'chat_informacje'		=> new sfValidatorString(array('required' => true))
        ));


        $this->widgetSchema->setLabels(array(
            'chat_wlaczony'		=> 'Status czatu',
            'chat_tytul'		=> 'Temat czatu',
            'chat_czy_vip'		=> 'Obecność VIPa',
            'chat_vip_informacje'	=> 'Opis VIPa',
            'chat_informacje'		=> 'Dodatkowy opis czatu',
        ));

    $this->widgetSchema->setHelps(array(
            'chat_wlaczony'		=> 'Określ status czatu',
            'chat_tytul'		=> 'Podaj temat czatu',
            'chat_czy_vip'		=> 'Określ czy na czacie obecny będzie VIP',
            'chat_vip_informacje'	=> 'Podaj dodatkowe informacje dotyczące VIPa',
            'chat_informacje'		=> 'Podaj dodatkowy opis czatu',
        ));

        $decorator = new myWidgetFormSchemaFormatterTable($this->getWidgetSchema());
        $this->widgetSchema->addFormFormatter('custom', $decorator);
        $this->widgetSchema->setFormFormatterName('custom');

        $this->setDefaults(UstawieniePeer::getModuleProperty('chat'));
        $this->widgetSchema->setNameFormat('chat_config[%s]');
    }

    public function save() {
    }
}
?>
